From 6ba625b2a8c79e6c25c23df13b0be5f5686bb3c4 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Fri, 20 Mar 2020 17:53:01 +0300
Subject: [PATCH 13/59] auth helper: fix usused vars

---
 libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
index 4c3bf5458..bc9c1ec67 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
@@ -100,12 +100,14 @@ ActionReply AlpineApkAuthHelper::update(const QVariantMap &args)
 
 ActionReply AlpineApkAuthHelper::add(const QVariantMap &args)
 {
+    Q_UNUSED(args)
     ActionReply reply = ActionReply::HelperErrorReply();
     return reply;
 }
 
 ActionReply AlpineApkAuthHelper::del(const QVariantMap &args)
 {
+    Q_UNUSED(args)
     ActionReply reply = ActionReply::HelperErrorReply();
     return reply;
 }
@@ -138,6 +140,7 @@ ActionReply AlpineApkAuthHelper::upgrade(const QVariantMap &args)
 
     QScopedPointer<QSocketNotifier> notifier(new QSocketNotifier(progress_fd, QSocketNotifier::Read));
     QObject::connect(notifier.data(), &QSocketNotifier::activated, notifier.data(), [](int sock) {
+        Q_UNUSED(sock)
         qCDebug(LOG_AUTHHELPER) << "        read trigger from progress_fd!";
     });
 
-- 
GitLab


